## ignition-fuel-tools7 7.0.0

=== include/ignition/CMakeLists.txt ===
add_subdirectory(fuel_tools)

=== debian/changelog ===
ignition-fuel-tools7 (7.0.0-1~buster) buster; urgency=medium

  * ignition-fuel-tools7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 28 Sep 2021 14:52:31 -0700

ignition-fuel-tools7 (7.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-fuel-tools7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Sep 2021 15:18:08 -0700

ignition-fuel-tools7 (6.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:08 -0700

=== debian/control ===
Source: ignition-fuel-tools7
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.3.0),
               libignition-common4-core-dev,
               libignition-msgs8-dev,
               libignition-tools-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libtinyxml2-dev
Vcs-Browser: https://github.com/ignition-release/ign-fuel-tools7-release
Vcs-Git: https://github.com/ignition-release/ign-fuel-tools7-release
Homepage: http://ignitionrobotics.org/

Package: libignition-fuel-tools7
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         ignition-tools
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Shared library
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-fuel-tools7-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.3.0),
       libignition-common4-core-dev,
       libignition-msgs8-dev,
       libignition-tools-dev,
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev,
       libyaml-dev,
       libtinyxml2-dev,
       libignition-fuel-tools7 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Description: Ignition fuel-tools classes and functions for robot apps - Development files
  Ignition fuel-tools is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

## ignition-fuel-tools7 7.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-fuel_tools7 VERSION 7.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake2 2.13 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

#============================================================================
# Search for project-specific dependencies
#============================================================================

#--------------------------------------
# Find Tinyxml2
ign_find_package(TINYXML2 REQUIRED PRIVATE PRETTY tinyxml2)

#--------------------------------------
# Find libcurl
ign_find_package(IgnCURL REQUIRED PRIVATE PRETTY curl)

#--------------------------------------
# Find jsoncpp
ign_find_package(JSONCPP REQUIRED PRIVATE)

#--------------------------------------
# Find libyaml
ign_find_package(YAML REQUIRED PRIVATE)

#--------------------------------------
# Find libzip
ign_find_package(ZIP REQUIRED PRIVATE)

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4 REQUIRED PRIVATE)
set(IGN_COMMON_MAJOR_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED PRIVATE)
set(IGN_MSGS_MAJOR_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find ignition-tools
find_program(HAVE_IGN_TOOLS ign)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
   "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
  )

=== src/cmd/CMakeLists.txt ===
# Generate a the ruby script.
# Note that the major version of the library is included in the name.
# Ex: cmdfuel0.rb
if (APPLE)
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.dylib)
elseif(MSVC)
  set(IGN_LIBRARY_NAME ${PROJECT_NAME_LOWER}.dll)
else()
  set(IGN_LIBRARY_NAME lib${PROJECT_NAME_LOWER}.so)
endif()

configure_file(
  "cmdfuel.rb.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb" @ONLY)


# Install the ruby command line library in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmdfuel${PROJECT_VERSION_MAJOR}.rb DESTINATION lib/ruby/ignition)

=== debian/changelog ===
ignition-fuel-tools7 (7.1.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:34:40 -0700

ignition-fuel-tools7 (7.0.0-1~focal) focal; urgency=medium

  * ignition-fuel-tools7 7.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 28 Sep 2021 14:52:31 -0700

ignition-fuel-tools7 (7.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-fuel-tools7 7.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Sep 2021 15:18:08 -0700

ignition-fuel-tools7 (6.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:07 -0700

## ignition-fuel-tools7 7.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-fuel_tools7 VERSION 7.1.0)
+project(ignition-fuel_tools7 VERSION 7.3.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -15,7 +15,9 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/fuel_tools
+)
 
 #============================================================================
 # Set project-specific options
@@ -63,6 +65,7 @@
 #--------------------------------------
 # Find ignition-tools
 find_program(HAVE_IGN_TOOLS ign)
+set (IGN_TOOLS_VER 1)
 
 #============================================================================
 # Configure the build

=== src/CMakeLists.txt ===
set (sources
  ClientConfig.cc
  CollectionIdentifier.cc
  FuelClient.cc
  Helpers.cc
  gz.cc
  Interface.cc
  JSONParser.cc
  LocalCache.cc
  Model.cc
  ModelIdentifier.cc
  ModelIter.cc
  RestClient.cc
  Result.cc
  Zip.cc
  WorldIdentifier.cc
  WorldIter.cc
)

set (gtest_sources
  ClientConfig_TEST.cc
  CollectionIdentifier_TEST.cc
  FuelClient_TEST.cc
  gz_src_TEST.cc
  Interface_TEST.cc
  Helpers_TEST.cc
  JSONParser_TEST.cc
  LocalCache_TEST.cc
  ModelIdentifier_TEST.cc
  ModelIter_TEST.cc
  Model_TEST.cc
  RestClient_TEST.cc
  Result_TEST.cc
  WorldIdentifier_TEST.cc
  WorldIter_TEST.cc
  Zip_TEST.cc
)

if (HAVE_IGN_TOOLS)
  set (gtest_sources ${gtest_sources}
    gz_TEST.cc
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

# Link the libraries that we always need.
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  PRIVATE
    ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
    curl::curl
    ${JSONCPP_TARGET}
    TINYXML2::TINYXML2
    ${YAML_TARGET}
    ZIP::ZIP
)

ign_target_interface_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
  ignition-msgs${IGN_MSGS_MAJOR_VER}::ignition-msgs${IGN_MSGS_MAJOR_VER}
)


# Build the unit tests.
ign_build_tests(TYPE UNIT
                SOURCES ${gtest_sources}
                LIB_DEPS
                  ignition-cmake${IGN_CMAKE_VER}::utilities
                  ignition-common${IGN_COMMON_MAJOR_VER}::ignition-common${IGN_COMMON_MAJOR_VER}
                  TINYXML2::TINYXML2
)

# Some tests download simulation assets, which can take longer than the
# default time limit.
if (TARGET UNIT_gz_src_TEST)
  set_tests_properties(UNIT_gz_src_TEST PROPERTIES TIMEOUT 1000)
endif()
if (TARGET UNIT_FuelClient_TEST)
  set_tests_properties(UNIT_FuelClient_TEST PROPERTIES TIMEOUT 1000)
endif()

# Command line support.
add_subdirectory(cmd)

=== src/cmd/CMakeLists.txt ===
#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdfuel0.rb
# Unlike other gz libraries, the ruby script for the fuel_tools library is called cmdfuel.rb instead of cmdfuel_tools.rb
set(CMD_NAME cmdfuel)
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/$<CONFIG>/ruby/ignition/${CMD_NAME}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${CMAKE_CURRENT_BINARY_DIR}/test_${CMD_NAME}${PROJECT_VERSION_MAJOR}.rb.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(library_location "$<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "${CMD_NAME}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdfuel0.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/${CMD_NAME}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${CMAKE_CURRENT_BINARY_DIR}/${CMD_NAME}${PROJECT_VERSION_MAJOR}.rb.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(library_location "../../../${CMAKE_INSTALL_LIBDIR}/$<TARGET_FILE_NAME:${PROJECT_LIBRARY_TARGET_NAME}>")

configure_file(
  "${CMD_NAME}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)


#===============================================================================
# Bash completion

# Tack version onto and install the bash completion script
configure_file(
  "fuel.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/fuel${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

=== debian/changelog ===
ignition-fuel-tools7 (7.3.0-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.3.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 13 Jun 2023 22:54:12 -0500

ignition-fuel-tools7 (7.2.2-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.2.2-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 29 Mar 2023 16:57:31 -0800

ignition-fuel-tools7 (7.2.1-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.2.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Tue, 28 Mar 2023 09:34:02 -0800

ignition-fuel-tools7 (7.2.0-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.2.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 17 Nov 2022 15:54:24 -0800

ignition-fuel-tools7 (7.1.0-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 09:34:40 -0700

ignition-fuel-tools7 (7.0.0+osrf-1~jammy) jammy; urgency=medium

  * ignition-fuel-tools7 7.0.0+osrf-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Mar 2022 15:49:50 +0100

=== debian/control ===
Source: ignition-fuel-tools7
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 11),
               libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
               libignition-common4-core-dev,
               libignition-msgs8-dev,
               libignition-tools-dev,
               libzip-dev,
               libjsoncpp-dev,
               libcurl4-openssl-dev,
               libyaml-dev,
               libtinyxml2-dev
Vcs-Browser: https://github.com/gazebosim/gz-fuel-tools
Vcs-Git: https://github.com/gazebo-release/gz-fuel-tools7-release
Standards-Version: 4.5.1
Homepage: http://gazebosim.org/

Package: libignition-fuel-tools7
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         ignition-tools
Breaks: libignition-fuel-tools7-7 (<= 7.0.0+ds-3)
Replaces: libignition-fuel-tools7-7 (<= 7.0.0+ds-3)
Multi-Arch: same
Description: Gazebo fuel-tools classes and functions - Shared library
 Gazebo Fuel Tools is composed by a client library and command line
 tools for interacting with Gazebo Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the Gazebo fuel libraries

Package: libignition-fuel-tools7-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.13.0) | libignition-cmake-dev (>= 2.13.0),
       libignition-common4-core-dev,
       libignition-msgs8-dev,
       libignition-tools-dev,
       libzip-dev,
       libjsoncpp-dev,
       libcurl4-openssl-dev,
       libyaml-dev,
       libtinyxml2-dev,
       libignition-fuel-tools7 (= ${binary:Version}),
       ${misc:Depends}
Multi-Arch: same
Breaks: libignition-fuel-tools-dev (<= 7.0.0+ds-3)
Replaces: libignition-fuel-tools-dev (<= 7.0.0+ds-3)
Description: Gazebo fuel-tools classes and functions - Development files
 Gazebo Fuel Tools is composed by a client library and command line
 tools for interacting with Gazebo Fuel servers. These servers host and
 manage different 3D robotics models.
 .
 The package ships the Gazebo fuel development headers and libraries

Package: libgz-fuel-tools7
Depends: libignition-fuel-tools7 (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-fuel-tools7-dev
Depends: libignition-fuel-tools7-dev (= ${binary:Version}), ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	true

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/gazebosim/gz-fuel-tools/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
